commit eeeefaf8ff3f72bc91360e204a8713dcc68fcd43
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Mar 4 00:18:05 2023 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 7956071adad..887270c7322 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20230303
+20230304
diff --git a/gcc/d/ChangeLog b/gcc/d/ChangeLog
index 2174a569bf8..9d495495c67 100644
--- a/gcc/d/ChangeLog
+++ b/gcc/d/ChangeLog
@@ -1,3 +1,14 @@
+2023-03-03  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2023-03-03  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/108877
+	* imports.cc (ImportVisitor::visit (EnumDeclaration *)): Call
+	make_import on TYPE_MAIN_VARIANT.
+	(ImportVisitor::visit (AggregateDeclaration *)): Likewise.
+	(ImportVisitor::visit (ClassDeclaration *)): Likewise.
+
 2022-12-11  Iain Buclaw  <ibuclaw@gdcproject.org>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 199b360fef5..abce3ce517e 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,12 @@
+2023-03-03  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2023-03-03  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/108877
+	* gdc.dg/imports/pr108877a.d: New test.
+	* gdc.dg/pr108877.d: New test.
+
 2023-02-20  Alex Coplan  <alex.coplan@arm.com>
 
 	Backported from master:
diff --git a/libatomic/ChangeLog b/libatomic/ChangeLog
index 430a9e805ec..483c31494c5 100644
--- a/libatomic/ChangeLog
+++ b/libatomic/ChangeLog
@@ -1,3 +1,12 @@
+2023-03-03  Stefan Schulze Frielinghaus  <stefansf@linux.ibm.com>
+
+	Backported from master:
+	2023-03-03  Stefan Schulze Frielinghaus  <stefansf@linux.ibm.com>
+
+	* config/s390/cas_n.c: New file.
+	* config/s390/load_n.c: New file.
+	* config/s390/store_n.c: New file.
+
 2022-06-28  Release Manager
 
 	* GCC 10.4.0 released.

